#!/bin/sh

chown -R root:root *
rm -f /etc/init.d/S12pi900_watchdog
chmod a+x etc/init.d/*
cp -a etc/*  /etc/
cp -a sbin/* /sbin/
cp -a var/*  /var/
if [ -f /binary/quickpost.elf ]
then
   #echo "Adding QuickPost to menu"
   sed -i 's/PIIGAB_EXTRA_PROGRAMS-->/PIIGAB_EXTRA_PROGRAMS-->\n<li>\n<a target=\"mainframe\" title=\"QuickPost\" href=\"\/cgi-bin\/quickpost.py\">QuickPost<\/a>\n<\/li>\n/g' /var/www/menu.html
fi
if [ -f /binary/modbus2mbus ]
then
   #echo "Adding Modbus2MBus to menu"
   sed -i 's/PIIGAB_EXTRA_PROGRAMS-->/PIIGAB_EXTRA_PROGRAMS-->\n<li>\n<a target=\"mainframe\" title=\"Modbus2MBus\" href=\"\/cgi-bin\/modbus2mbus.py\">Modbus2MBus<\/a>\n<\/li>\n/g' /var/www/menu.html
fi
if [ -f /binary/wireless ]
then
   #echo "Adding Wireless to menu"
   sed -i 's/PIIGAB_EXTRA_PROGRAMS-->/PIIGAB_EXTRA_PROGRAMS-->\n<li>\n<a target=\"mainframe\" title=\"Wireless\" href=\"\/cgi-bin\/wireless.py\">Wireless<\/a>\n<\/li>\n/g' /var/www/menu.html
fi

sync
/etc/init.d/S99pi900_watchdog restart &>/dev/null



