#!/usr/bin/python
# -*- coding: utf-8 -*-

import os

https_on=""
http_on=""
http_noauth_on=""
conffile = os.path.basename(os.readlink("/etc/lighttpd/lighttpd.conf"))
if (conffile == 'lighttpd_https.conf'):
    https_on="checked"
elif (conffile == 'lighttpd_http.conf'):
    http_on="checked"
elif (conffile == 'lighttpd_http_noauth.conf'):
    http_noauth_on="checked"

import tenjin
from tenjin.helpers import *
tenjin.Engine.cache = tenjin.MemoryCacheStorage()
engine = tenjin.Engine()
print(engine.render('templates/basic_settings.pyhtml'))

