#!/usr/bin/python
# -*- coding: utf-8 -*-
# The program sets /etc/default/ntpd
# Removes file if ntp address is empty
# Writes file if ntp address is valid. No validation control so far.
import os, sys, cgi

form = cgi.FieldStorage()

def getParameter( name ):
    if name in form:
        return form[name].value
    return ""

error = False
ntpip=""

if "ntpIP" in form:
    ntpip=getParameter("ntpIP")

if ntpip=="":
    os.system("rm -f /etc/default/ntpd\n")
else:
    f=open("/etc/ntp.conf",'w')
    f.write("""server %s iburst
server 2.pool.ntp.org iburst
server 3.pool.ntp.org iburst
# Allow only time queries, at a limited rate, sending KoD when in excess.
# Allow all local queries (IPv4, IPv6)
restrict default nomodify nopeer noquery limited kod
restrict 127.0.0.1
restrict [::1]\n"""%ntpip)
    f.close()
    os.system("/etc/init.d/S49ntp restart\n")

if error:
    print("""Content-Type: text/html\n
    <HTML>
        <HEAD>
            <meta http-equiv=\"refresh\" content=\"2;url=/cgi-bin/administration.py\">
        </HEAD>
        <BODY>
            Incorrect Time Format
        </BODY>
    </HTML>""")
else:
    print("""Content-Type: text/html\n
    <HTML>
        <HEAD>
            <meta http-equiv=\"refresh\" content=\"2;url=/cgi-bin/administration.py\">
        </HEAD>
        <BODY>
            Setting NTP to address, %s
        </BODY>
    </HTML>"""%ntpip)
