#!/usr/bin/python
# -*- coding: utf-8 -*-
# The program sets the hardware clock.
# setClock.py       Sets hardware clock from software clock
# setClock.py i     Sets software clock from timedate and then sets hardware clock from software clock
import os, sys, cgi

form = cgi.FieldStorage()

def getParameter( name ):
    if name in form:
        return form[name].value
    return ""

hasTimeval=False
error = False

timedate="no value"

if "TimeDate" in form:
    hasTimeval = True
    if "TimeDate" in form:
        timedate=getParameter("TimeDate").lstrip().split()
    if len(timedate) == 2:
        if len(timedate[0]) == 10 and len(timedate[1])>=8:
            for i in (0,1,2,3,5,6,8,9):
                if not timedate[0][i].isdigit():
                    error = True
            for i in (0,1,3,4,6,7):
                if not timedate[1][i].isdigit():
                    error = True
        else:
            error = True
    else:
        error = True

if error:
    print("""Content-Type: text/html\n
    <HTML>
        <HEAD>
            <meta http-equiv=\"refresh\" content=\"2;url=/cgi-bin/administration.py\">
        </HEAD>
        <BODY>
            Incorrect Time Format
        </BODY>
    </HTML>""")
else:
    if hasTimeval:
        os.system("date --set=\"%s %s\"\n"%(timedate[0],timedate[1]))
        os.system("hwclock -u -w --rtc /dev/rtc0\n")
        os.system("hwclock -u -w --rtc /dev/rtc1\n")
    print("""Content-Type: text/html\n
    <HTML>
        <HEAD>
            <meta http-equiv=\"refresh\" content=\"2;url=/cgi-bin/administration.py\">
        </HEAD>
        <BODY>
            Setting clock, %s
        </BODY>
    </HTML>"""%timedate)
